Modify

Opened 9 years ago

Closed 9 years ago

Last modified 2 years ago

#1229 closed defect (fixed)

Native Language Support module does not compile

Reported by: MoD Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version:
Keywords: kmod-nls-base Cc:

Description

It seems that it is not possible to compile kmod-nls-base to install kmod-fs-vfat. It is possible to compile kmod-fs-vfat but kmod-nls-base is missing.

Attachments (0)

Change History (4)

comment:1 Changed 9 years ago by MoD

Actually everything is OK for kernel 2.6 and the problem is only for kernel 2.4. That is because of:

  1. target/linux/brcm-2.4/config file is not configured to compile NLS modules
  2. package/kernel/modules/fs.mk rules are for kernel 2.6 only. For kernel 2.4 NLS codepage modules does not depend on kmod-nls-base because nls-base is always compiled into kernel and not as loadable module.

comment:2 Changed 9 years ago by MoD

Actually everything is OK for kernel 2.6 and the problem is only for kernel 2.4. That is because of:

  1. target/linux/brcm-2.4/config file is not configured to compile NLS modules
  1. package/kernel/modules/fs.mk rules are for kernel 2.6 only. For kernel 2.4 NLS codepage modules does not depend on kmod-nls-base because nls-base is always compiled into kernel and not as loadable module.

comment:3 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

It has been fixed in [7128]

comment:4 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.